APIDatabase management

Create new database

Creates a new database for the specified server

Creates a new database for the specified server

POST
/api/client/servers/{server}/databases

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server ID

Request Body

application/json

Database creation data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/client/servers/string/databases" \  -H "Content-Type: application/json" \  -d '{    "database": "my_database",    "remote": "%"  }'
{
  "object": "server_database",
  "attributes": {
    "id": "string",
    "host": {
      "address": "string",
      "port": 0
    },
    "name": "string",
    "username": "string",
    "connections_from": "string",
    "max_connections": 0,
    "relationships": {
      "password": {
        "object": "database_password",
        "attributes": {
          "password": "string"
        }
      }
    }
  }
}
Empty
Empty
Empty
Empty
Empty